package com.qmth.themis.notify.api;

import com.qmth.themis.business.constant.SystemConstant;
import com.qmth.themis.business.entity.TSBlackList;
import com.qmth.themis.business.service.ThemisCacheService;
import com.qmth.themis.common.util.Result;
import com.qmth.themis.common.util.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * <p>
 * 系统通知表 前端控制器
 * </p>
 *
 * @author wangliang
 * @since 2023-02-01
 */
@Api(tags = "系统通知信息Controller")
@RestController
@RequestMapping(SystemConstant.PREFIX_URL_SYS_NOTIFY)
@Validated
public class TSNotifyController {
    private final static Logger log = LoggerFactory.getLogger(TSNotifyController.class);

    @Resource
    ThemisCacheService themisCacheService;

    @ApiOperation(value = "系统通知信息查询接口")
    @RequestMapping(value = "/select", method = RequestMethod.POST)
    @ApiResponses({@ApiResponse(code = 200, message = "系统通知信息", response = TSBlackList.class)})
    public Result select() {
        return ResultUtil.ok(themisCacheService.sysNotifyCache());
    }
}
